
Foreman - Feature #35726

Bug # 35585 (Closed): Unable to enable callback plugin per-template

Add pagelet mountpoints to form template to make it extensible in plugins

11/07/2022 01:21 PM - Nofar Alfassi

Status: Closed   

Priority: Normal   

Assignee: Nofar Alfassi   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.6.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9503

  

Description

We need to add the `ansible_callback_enabled` property to the template's params, so we can set it from the UI.

And we need to add a mount point in the template's form, so we can use it on the Pagelet created in `foreman_ansible` plugin.

Associated revisions

Revision d6e20fd7 - 01/04/2023 10:27 AM - Nofar Alfassi

Fixes #35726 - adding callback_enabled option to job templates for foreman_ansible

Added the `ansible_callback_enabled` property to the template's params, so we can set it from the UI.

And added a new mount point in the template's form, for the Pagelet created in `foreman_ansible` plugin.

History

#1 - 11/07/2022 01:23 PM - Nofar Alfassi

- Subject changed from Adding  to Adding callback_enabled option to the job templates in foreman_ansible

#2 - 11/07/2022 01:24 PM - Nofar Alfassi

- Subject changed from Adding callback_enabled option to the job templates in foreman_ansible to Adding callback_enabled option to the job

templates for foreman_ansible

#3 - 11/07/2022 01:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9503 added

#4 - 01/04/2023 10:27 AM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#5 - 01/04/2023 11:01 AM - Nofar Alfassi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d6e20fd7188687778427ff780fc085d5564ced35.

#6 - 01/04/2023 11:04 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Adding callback_enabled option to the job templates for foreman_ansible to Add pagelet mountpoints to templates form to

make it extensible in plugins

- Category set to Templates

- Triaged changed from No to Yes

#7 - 01/04/2023 11:16 AM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d6e20fd7188687778427ff780fc085d5564ced35


- Subject changed from Add pagelet mountpoints to templates form to make it extensible in plugins to Add pagelet mountpoints to form template to

make it extensible in plugins
